SystemOrganization addCategory: #ConfigurationOfDrGeo!

Object subclass: #ConfigurationOfDrGeo
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfDrGeo'!

!ConfigurationOfDrGeo class methodsFor: 'private' stamp: 'HilaireFernandes 3/23/2010 21:04'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfDrGeo class methodsFor: 'private' stamp: 'HilaireFernandes 3/23/2010 21:04'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfDrGeo class methodsFor: 'metacello tool support' stamp: 'HilaireFernandes 3/23/2010 21:04'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfDrGeo class methodsFor: 'metacello tool support' stamp: 'HilaireFernandes 3/23/2010 21:04'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfDrGeo class methodsFor: 'loading' stamp: 'HilaireFernandes 3/23/2010 21:04'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfDrGeo class methodsFor: 'metacello tool support' stamp: 'HilaireFernandes 3/23/2010 21:04'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfDrGeo class methodsFor: 'accessing' stamp: 'HilaireFernandes 3/23/2010 21:04'!
project

	^self new project! !

!ConfigurationOfDrGeo class methodsFor: 'unloading Metacello' stamp: 'HilaireFernandes 3/23/2010 21:04'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfDrGeo methodsFor: '2010' stamp: 'HilaireFernandes 7/28/2010 11:35'!
baseline1008: spec
	<version: '10.08-baseline'>
	spec for: #pharo do: [
		spec blessing: #baseline.
		spec project: 'XML Parser' with: [
			spec className: 'ConfigurationOfXMLSupport';
			version: '1.0.1';
			loads: #('default');
			file: 'ConfigurationOfXMLSupport';
			repository: 'http://www.squeaksource.com/MetacelloRepository'].
		spec package: 'DrGeoII-Core' with: [
			spec requires: 'XML Parser']]! !

!ConfigurationOfDrGeo methodsFor: '2010' stamp: 'HilaireFernandes 11/10/2010 22:24'!
baseline1012: spec
	<version: '10.12-baseline'>
	spec for: #pharo do: [
		spec blessing: #baseline.
		spec project: 'XML Parser' with: [
			spec className: 'ConfigurationOfXMLSupport';
			version: '1.0.1';
			loads: #('default');
			file: 'ConfigurationOfXMLSupport';
			repository: 'http://www.squeaksource.com/MetacelloRepository'].
		spec package: 'DrGeoII-Core' with: [
			spec requires: 'XML Parser']]! !

!ConfigurationOfDrGeo methodsFor: '2010' stamp: 'HilaireFernandes 7/27/2010 22:01'!
baseline10: spec
	<version: '1.0-baseline'>
	spec for: #pharo do: [
		spec blessing: #baseline.
		spec project: 'XML Parser' with: [
			spec className: 'ConfigurationOfXMLSupport';
			version: '1.0.1';
			loads: #('default');
			file: 'ConfigurationOfXMLSupport';
			repository: 'http://www.squeaksource.com/MetacelloRepository'].
		spec package: 'DrGeo' with: [spec requires: 'XML Parser']]! !

!ConfigurationOfDrGeo methodsFor: 'accessing' stamp: 'HilaireFernandes 3/23/2010 21:04'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfDrGeo methodsFor: '2010' stamp: 'HilaireFernandes 8/4/2010 13:45'!
version1008: spec
	<version: '10.08' imports: #('10.08-baseline')>
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.1/Squeak 4.1'.
		spec author: 'HilaireFernandes'.
		spec timestamp:  '2010-07-27T21:23:56+02:00'.
		spec repository: 'http://www.squeaksource.com/DrGeoII'.
		spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.31'].
	spec for: #pharo do: [
		spec package: 'DrGeoII-Polymorph' with: [
			spec  
				file: 'DrGeoII-Polymorph-HilaireFernandes.14';
				requires: 'DrGeoII-Core']].
	spec for: #squeak do: [
		spec package: 'DrGeoII-Etoys' with: [
			spec 
				file: 'DrGeoII-Etoys-HilaireFernandes.10';
				requires: 'DrGeoII-Core']]
! !

!ConfigurationOfDrGeo methodsFor: '2010' stamp: 'HilaireFernandes 11/19/2010 19:34'!
version1012: spec
	<version: '10.12' imports: #('10.12-baseline')>
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.2/Squeak 4.1'.
		spec author: 'HilaireFernandes'.
		spec timestamp:  ' 2010-11-10T22:25:26+01:00'. 
		spec repository: 'http://www.squeaksource.com/DrGeoII'.
		spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.77'].
	spec for: #pharo do: [
		spec package: 'DrGeoII-Polymorph' with: [
			spec  
				file: 'DrGeoII-Polymorph-HilaireFernandes.20';
				requires: 'DrGeoII-Core']].
	spec for: #squeak do: [
		spec package: 'DrGeoII-Etoys' with: [
			spec 
				file: 'DrGeoII-Etoys-HilaireFernandes.10';
				requires: 'DrGeoII-Core']]
! !

!ConfigurationOfDrGeo methodsFor: '2010' stamp: 'HilaireFernandes 3/24/2010 15:14'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.0'.
		spec author: 'HilaireFernandes'.
		spec timestamp:  '2010-03-23 21:23'.
		spec repository: 'http://www.squeaksource.com/DrGeoII'.
		spec package: 'DrGeo' with: 'DrGeoII-HilaireFernandes.157']! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 2/21/2011 19:12'!
version1103: spec
	<version: '11.03' imports: #('10.12-baseline')>
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.2/Squeak 4.1'.
		spec author: 'HilaireFernandes'.
		spec timestamp:  '2011-02-21T19:11:57+01:00'. 
		spec repository: 'http://www.squeaksource.com/DrGeoII'.
		spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.93'].
	spec for: #pharo do: [
		spec package: 'DrGeoII-Polymorph' with: [
			spec  
				file: 'DrGeoII-Polymorph-HilaireFernandes.20';
				requires: 'DrGeoII-Core']].
	spec for: #squeak do: [
		spec package: 'DrGeoII-Etoys' with: [
			spec 
				file: 'DrGeoII-Etoys-HilaireFernandes.10';
				requires: 'DrGeoII-Core']]
! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 5/24/2011 22:38'!
version1106: spec 
	<version: '11.06' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.2/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-05-24T22:38:31+02:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.112'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.24';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 4/3/2011 12:24'!
version1106beta1: spec 
	<version: '11.06.beta1' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.2/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-04-03T12:23:39+02:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.97'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.24';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 5/15/2011 13:06'!
version1106beta2: spec 
	<version: '11.06.beta2' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.2/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-05-15T09:38:45+02:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.111'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.24';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 8/6/2011 11:08'!
version1108: spec 
	<version: '11.08' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-08-06T10:43:44+02:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.166'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.52';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 8/8/2011 00:35'!
version1108a: spec 
	<version: '11.08a' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-08-08T00:35:35+02:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.171'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.54';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 10/28/2011 15:44'!
version1112a: spec 
	<version: '11.12a' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-10-28T15:43:15+02:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.175'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.56';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 11/2/2011 08:28'!
version1112b: spec 
	<version: '11.12b' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-11-02T08:27:58+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.179'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.57';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 11/9/2011 10:40'!
version1112c: spec 
	<version: '11.12c' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-11-09T10:37:41+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.184'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.60';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 11/12/2011 22:09'!
version1112d: spec 
	<version: '11.12d' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-11-12T22:09:27+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.188'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.60';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 11/17/2011 14:16'!
version1112e: spec 
	<version: '11.12e' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-11-17T14:15:35+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.193'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.60';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 11/26/2011 11:24'!
version1112f: spec 
	<version: '11.12f' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-11-26T11:24:23+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.198'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.61';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 12/10/2011 09:36'!
version1112g: spec 
	<version: '11.12g' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-12-10T09:35:44+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.203'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.61';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2011' stamp: 'HilaireFernandes 12/10/2011 11:40'!
version1112h: spec 
	<version: '11.12h' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-12-10T11:40:04+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.204'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.61';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2012' stamp: 'HilaireFernandes 12/27/2011 00:04'!
version1203a: spec 
	<version: '12.03a' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2011-12-26T18:42:27+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.214'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.68';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2012' stamp: 'HilaireFernandes 1/11/2012 20:23'!
version1203b: spec 
	<version: '12.03b' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.3/Squeak 4.1'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2012-01-11T20:23:44+01:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.223'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.69';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !

!ConfigurationOfDrGeo methodsFor: '2012' stamp: 'HilaireFernandes 4/9/2012 22:47'!
version1203c: spec 
	<version: '12.03c' imports: #('10.12-baseline')>
	spec
		for: #common
		do: [spec blessing: #release.
			spec description: 'DrGeo, an interactive geometry framework and application, for Pharo 1.4'.
			spec author: 'HilaireFernandes'.
			spec timestamp: '2012-04-09T22:47:00.521+02:00'.
			spec repository: 'http://www.squeaksource.com/DrGeoII'.
			spec package: 'DrGeoII-Core' with: 'DrGeoII-Core-HilaireFernandes.276'].
	spec
		for: #pharo
		do: [spec
				package: 'DrGeoII-Polymorph'
				with: [spec file: 'DrGeoII-Polymorph-HilaireFernandes.92';
						 requires: 'DrGeoII-Core'].
			spec
				package: 'DrGeoII-User'
				with: [spec file: 'DrGeoII-User-HilaireFernandes.1';
						 requires: 'DrGeoII-Core']].
	spec
		for: #squeak
		do: [spec
				package: 'DrGeoII-Etoys'
				with: [spec file: 'DrGeoII-Etoys-HilaireFernandes.10';
						 requires: 'DrGeoII-Core']]! !
